<?xml version="1.0" encoding="UTF-8"?>
<!--  Namespace type configuration  -->
<beans default-lazy-init="false" 
    xmlns="http://www.springframework.org/schema/beans" 	
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xmlns:util="http://www.springframework.org/schema/util"
    xmlns:context="http://www.springframework.org/schema/context"
    xsi:schemaLocation="http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans-3.0.xsd
    	http://www.springframework.org/schema/util http://www.springframework.org/schema/util/spring-util-3.0.xsd
    	http://www.springframework.org/schema/mvc http://www.springframework.org/schema/mvc/spring-mvc.xsd
		http://www.springframework.org/schema/context http://www.springframework.org/schema/context/spring-context.xsd">

	<!-- <context:component-scan base-package="gov.va.med" /> -->
    	
   	<bean class="org.springframework.beans.factory.config.PropertyPlaceholderConfigurer">
	    <property name="locations">
	        <list>
	        	<value>classpath:env/server.properties</value>
				<value>classpath:env/exportcolumns.properties</value>
				<value>classpath:env/cchtversion.properties</value>
				<value>classpath:ihtaweb.properties</value>
	        </list>
	    </property>
	</bean>
	
   	<import resource="cchtCommon.xml" />
	<!-- <import resource="cchtLdap.xml" />	 -->
	<import resource="cchtReports.xml" />
	<import resource="cchtReportConfig.xml" />
	<import resource="cchtMailTemplates.xml" />
	<import resource="cchtJms.xml" />

	<bean id="messageSource" class="org.springframework.context.support.ResourceBundleMessageSource">
		<property name="basename">
			<value>ihtaweb</value>
		</property>
	</bean>
	
    <bean id="batchProcessInvoker" class="gov.va.med.fw.batchprocess.BatchProcessInvoker"/>
	<!-- <bean id="webSecurityExpressionHandler" class="org.springframework.security.web.access.expression.DefaultWebSecurityExpressionHandler"/> -->
        		        
</beans> 